List collection activity
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/collection/{contractAddress}/events \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/collection/{contractAddress}/events"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/collection/{contractAddress}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"events": [
{
"blockNumber": 123,
"displayType": "Rarity Revealed",
"displaySubType": "<string>",
"contractAddress": "0x1111111111111111111111111111111111111111",
"txHash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"users": {},
"primaryActor": {
"id": "<string>",
"username": "<string>",
"displayName": "<string>",
"profileImage": "<string>",
"address": "0x1111111111111111111111111111111111111111"
},
"pricePerPack": "1000000000000000",
"rewardAmount": "1000000000000000"
}
],
"pagination": {
"limit": 123,
"next": "<string>"
},
"stats": {
"totalBuys": 123,
"totalSells": 123,
"totalPacksBought": 123,
"totalPacksSold": 123,
"mythicPulls": 123,
"legendaryPulls": 123,
"epicPulls": 123,
"rarePulls": 123
},
"filters": {}
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Too many requests or invalid API key! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Collections
List collection activity
Returns collection events in descending chain order. Pass the returned block-number cursor to continue. Responses are cached for about 10 seconds.
GET
/
collection
/
{contractAddress}
/
events
List collection activity
Authorizations
Caller-specific VibeChain API key used for quota and abuse control.
Path Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
EVM chain ID. Defaults to Base mainnet.
Required range:
x >= 1Comma-separated event types.
Required range:
1 <= x <= 500Block-number cursor returned by the preceding page.
Required range:
x >= 0Restrict activity to one wallet.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
⌘I